## ros-indigo-marti-perception-msgs 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(marti_perception_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
  sensor_msgs)

add_message_files(FILES
  PedestrianImageID.msg
)

generate_messages(DEPENDENCIES
  std_msgs
  sensor_msgs)

catkin_package(
  CATKIN_DEPENDS 
    message_runtime
    std_msgs 
    sensor_msgs
)

=== debian/changelog ===
ros-indigo-marti-perception-msgs (0.8.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.7.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.6.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.5.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.4.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-indigo-marti-perception-msgs (0.3.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.2.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.1.0-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.9-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.8-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.7-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.6-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.5-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.4-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.3-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.2-0trusty) trusty; urgency=high



 -- Edmond DuPont <edupont@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-indigo-marti-perception-msgs (0.0.1-0trusty) trusty; urgency=high

  * Initial Release
  * Contributors: Marc Alban, P. J. Reed

 -- Edmond DuPont <edupont@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-marti-perception-msgs
Section: misc
Priority: extra
Maintainer: Edmond DuPont <edupont@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-indigo-marti-perception-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: marti_perception_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-marti-perception-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
